$(function(){
    const $window = $(window),
        $body = $("body"),
        $nav = $(".nav_container").not(".top");
    const checkDevice = function(){
        const ua = navigator.userAgent;
        if(ua.indexOf("iPhone")>0 || ua.indexOf("iPod")>0 || ua.indexOf("Android")>0 && ua.indexOf("Mobile")>0) {
            return true;
        } else if (ua.indexOf("iPad")>0 || ua.indexOf("Android")>0){
            return true;
        } else {
            return false;
        }
    }
    const checkSize = function() {
        const ww = $window.width();
        return 750<ww ? false : true;
    }

    $window.on("scroll", function(){
        setTimeout(function(){
            const scrTop = $window.scrollTop();
            if(300<scrTop) {
                $nav.addClass("fixed");
            } else {
                $nav.removeClass("fixed");
            }
        }, 100);
    });

    $(document).on("click", "[data-button]", function(){
        const $btn = $(this),
            stt = $btn.attr("data-button"),
            target = $btn.attr("data-target");
        if(target==="navi") {
            if(stt==="open") {
                $body.addClass("fixed");
                $btn.next().addClass("active").delay(300).queue(function(next){
                    $btn.attr("data-button", "close").text("CLOSE");
                    next();
                });
            } else if(stt==="close") {
                $btn.next().removeClass("active").delay(300).queue(function(next){
                    $body.removeClass("fixed");
                    $btn.attr("data-button", "open").text("OPEN");
                    next();
                });
            }
        } else {
            if(stt==="mdlopn") {
                const image = "<img src='"+$btn.attr("src")+"'>";
                $("body").addClass("fixed");
                $(".modal_container").find(".content").append(image);
                $(".modal_container").addClass("shown");
            } else if(stt==="mdlcls") {
                $(".modal_container").removeClass("shown")
                    .find(".content").empty();
                $("body").removeClass("fixed");
            }
        }
    });
    $("[href^='#']").not("[data-button]").on("click", function(){
        let target = $(this).attr("href"),
            pos = $(target).length ? $(target).offset().top : 0;
        $("html, body").animate({scrollTop: pos}, 400);
        return false;
    });
    if(checkDevice()) {
        $(document).on({
            "touchstart": function(){
                $(this).addClass("hover");
            },
            "touchend": function(){
                $(this).removeClass("hover");
            }
        }, "a, .button");
    } else {
        $(document).on({
            'mouseenter':function(){
                $(this).addClass("hover");
            },
            'mouseleave':function(){
                $(this).removeClass("hover");
            }
        }, "a, .button");
    }
});